/* sc_gr.x */


if intersect dgn = "guardrail in dgn" then 
 { 
   mark x100 y100
   _d_sh_slope = "shoulder slope"
   if pavement slope >= 0 then
     {
       draw slope = _d_sh_slope:-1 for dx = 3.5
     }
   else
     {
       draw slope = -pavement slope for dx=3.5
     }
   mark x200 y200
   draw skip to x100 y100
   draw skip dx = .2708 dy = 1.083                  /* dx=3.25" dy = 13"  */
   mark x300 y300

   /* Draw posts   */
   draw skip to x300 y300
   draw dx = 0.6667 dy =0                             /* dx = 8"  */                      
   draw skip to x300 y300
   draw dx = 0 dy = 1 for dy = 1.167                   /* 14" */
   mark x400 y400
   draw dx = 1 dy = 0 for dx = 0.666                   /* 8" */ 
   mark x500 y500
   draw dx = 0 dy = -1 to intersection x100 y100 x200 y200
   draw skip to x500 y500
   draw dx = 1 dy = 0 for dx = 0.666                   /* 8" */ 
   draw dx = 0 dy = -1 to intersection x100 y100 x200 y200

   /*  Draw guardrail post embedment */
   define "~guardrail post embedment symbology" lvname=RD_XS_GR co=14 wt=4 lc=2
   define "draw guardrail post embedment" 1               
   define "guardrail post embedment depth in inch" 44               

   if "draw guardrail post embedment" = 1 then 
	{               
   	set plot parameters "~guardrail post embedment symbology" 
   	_d_grp_depth = "guardrail post embedment depth in inch" / 12     
   	draw dx = 0 dy = - _d_grp_depth						/* Default = 44" */
   	draw skip dx = -0.666 dy = 0                    		/* 8" */ 
   	draw to x511 y511
	}	
   	set plot parameters "~guardrail symbology"

   /* Draw rails  */
   draw skip to x300 y300
   draw skip dx=0 dy = 1 for dy=0.073                   /* 7/8"  */
   draw dx = -0.2708 dy = 0.20
   draw dx=0 dy= 0.05
   draw dx = 0.2708 dy = 0.20
 
   draw skip to x400 y400
   draw skip dx=0 dy = -1 for dy=0.073                   /* 7/8" */
   draw dx = -0.2708 dy = -0.20
   draw dx=0 dy= -0.05
   draw dx = 0.2708 dy = -0.20
   draw skip to x200 y200
   mark x1 y1

 }



