/* Draws shoulders and median ditch */
/*----------------------------------------------------------------------------------------

	Add option to control median ditch slope				4/3/2009	NPY

------------------------------------------------------------------------------------------*/

if p1 then
  {
      	_d_median_ds = "std median ditch slope"
	if ABS(_d_median_ds - 25) < 2*tolerance then   /* 4:1 */
		{
		_d_run  = 4
		_d_rise = 1
		}
	else 
		{
		_d_run  = 6
		_d_rise = 1
		}
	_d_median_ditch_cl = "use median ditch centerline" 
	if _d_median_ditch_cl = 1 and intersect dgn = "median ditch centerline"  then
  		{
    		_d_md_cl_found = 1
  		}
	else
		{
    		_d_md_cl_found = 0
		}

  }
/* IF YOU ARE ON THE LEFT SIDE OF THE MEDIAN */
if px1 > px2 and median width > 0 then
  {
   mark x2 y2		
   if PAVEMENT SLOPE < 0.00 then
   /* SE  high side */
   { 
    	set plot parameters "~paved shoulder symbology" 
     	draw slope = -pavement slope for dx="median paved shoulder width" 
     mark x1 y1
     set plot parameters "~greenside symbology"
     draw slope = -1 * PAVEMENT SLOPE for dx ="median earth SHOULDER WIDTH" 
     mark x3 y3

     		draw skip to x2 y2
     		draw skip dx=0 dy=-abs("pavement thickness left")
     		mark x92 y92

     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness left")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness left"
         draw slope = pavement slope to x1
         draw to x1 y1

     		draw skip to x90 y90
      		set plot parameters "~base symbology"
     		draw to x92 y92

         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
   else
   {
     /* Draw shoulder (12:1) */
	set plot parameters "~paved shoulder symbology" 
	draw slope = 12:-1 for dx="median paved shoulder width" 

     mark x1 y1
     set plot parameters "~greenside symbology"
     _d_sh_Slope = "shoulder slope"
     draw slope = _d_sh_slope:-1 for dx = "median earth shoulder width"
     mark x3 y3

	draw skip to x2 y2
	draw skip dx=0 dy=-abs("pavement thickness left")
     	mark x92 y92

     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness left")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness left"
         draw slope = pavement slope to x1
         draw to x1 y1

      		draw skip to x90 y90
      		set plot parameters "~base symbology"
      		draw to x92 y92

         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
   mark x800 y800
  }

/* ELSE IF YOU ARE ON THE RIGHT SIDE OF THE MEDIAN */
else if px1 < px2 and median width > 0 then
  {
   mark x2 y2		
   /* DRAW SHOULDER */
   if PAVEMENT SLOPE < 0.00 then
   /* SE  high side */
   { 
	set plot parameters "~paved shoulder symbology" 
	draw slope = -pavement slope for dx="median paved shoulder width" 

     mark x1 y1
     set plot parameters "~greenside symbology"
     draw slope = -1 * PAVEMENT SLOPE for dx ="median earth SHOULDER WIDTH" 
     mark x3 y3

     		draw skip to x2 y2
     		draw skip dx=0 dy=-abs("pavement thickness left")
     		mark x92 y92

     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness right")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness right"
         draw slope = pavement slope to x1
         draw to x1 y1
      		draw skip to x90 y90
      		set plot parameters "~base symbology"
      		draw to x92 y92

         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
   else
   {
     /* Draw shoulder (12:1) */
	set plot parameters "~paved shoulder symbology" 
	draw slope = 12:-1 for dx="median paved shoulder width" 

     mark x1 y1
     set plot parameters "~greenside symbology"
     _d_sh_Slope = "shoulder slope"
     draw slope = _d_sh_slope:-1 for dx = "median earth shoulder width"
     mark x3 y3

     		draw skip to x2 y2
     		draw skip dx=0 dy=-abs("pavement thickness left")
     		mark x92 y92

     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness right")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness right"
         draw slope = pavement slope to x1
         draw to x1 y1

        	draw skip to x90 y90
      		set plot parameters "~base symbology"
        	draw to x92 y92

         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
    mark x801 y801
/*-----------
	check if median ditch CL is between 800 & 801
------------*/ 
    _d_use_md_cl = 0
    if (_d_md_cl_found = 1) then
	{
     	draw skip dx=1 dy=0 to "median ditch centerline" 
     	mark x808 y808
	if (abs(x808-x800) > abs(x800-x801)/4) and (abs(x808-x801) > abs(x800-x801)/4) then
	{ 
	_d_use_md_cl = 1	
	}
	}
    /* Draw Median Ditch */
    set plot parameters "~ditch slope symbology"  

    /* CHECK TO SEE WHICH SIDE OF MEDIAN IS HIGHER. Draw 6:1 from lower side*/
    if y800 >= y801 then            /* left side higher */
      {
        draw skip to x801 y801
	  if (_d_use_md_cl = 1) then
		{
		draw skip slope = _d_run : -1*_d_rise to x808			/* median ditch CL */
		}
	  else
		{
		draw skip slope = _d_run : -1*_d_rise for dx=abs(x800-x801)/2  /* mid point */
		}
        mark x805 y805
/*
        		draw skip to x800 y800
        		draw skip to x805 y805
   			draw skip slope = -6:-1 to intersection x801 y801 x805 y805
*/
        mark x802 y802
        draw skip to x801 y801
	  draw to x802 y802 
     	  draw text char=^DB^ "~XS Ditch text symbology" 
        draw to x800 y800
      }
    else					/* right side higher */
      {
        draw skip to x800 y800
	  if (_d_use_md_cl = 1) then
		{
		draw skip slope = -1*_d_run : -1*_d_rise to x808			/* median ditch CL */
		}
	  else
		{
      		draw skip slope = -1*_d_run : -1*_d_rise for dx= abs(x800-x801)/2   /* mid point */ 
		}
	  mark x805 y805

/*
        		draw skip to x801 y801
        		draw skip to x805 y805
   			draw skip slope = 6:-1 to intersection x800 y800 x805 y805
*/
        mark x802 y802
        draw skip to x800 y800
	  draw to x802 y802 
     	  draw text char=^DB^ "~XS Ditch text symbology" 
        draw to x801 y801
      }

    /* LABEL SLOPES */
    draw slope text between x800 y800 and x802 y802 
      "~slope text symbology" format=:
    draw slope text between x802 y802 and x801 y801 
      "~slope text symbology" format=:
  }



