/* Draws tie slopes for ramp projects */

/*----------------------------------------------------------------
Change 'draw skip trace out for dx=200' 			1/24/01  NPY

-----------------------------------------------------------------*/

if p1 then
  {
   set plot parameters "~tie slope symbology"  
   mark x1 y1
    /* GET POINTS READY FOR GROUND LINE EXTENSION */
    draw skip trace out off=0 for dx=200
    mark x600 y600
    draw skip dx=1 dy=0 
    mark x601 y601
    draw skip to x1 y1    

    /* IF YOU ARE IN FILL */
    if elevation difference > 0 then
      {
        _d_slope = "urban tie slope"
        draw slope = -abs(_d_slope) to existing ground
        mark x2 y2
        if abs(x2 - x1) < tolerance then
          {
            draw slope = -abs(_d_slope) to intersection x600 y600 x601 y601
            mark x2 y2
            set plot parameters "~existing ground symbology"
            draw to x600 y600
          }
      }
    /* ELSE IF YOU ARE IN CUT */
    else
      {
        _d_slope = "urban tie slope"
        draw slope = abs(_d_slope) to existing ground
        mark x2 y2
        if abs(x2 - x1) < tolerance then
          {
            draw slope = abs(_d_slope) to intersection x600 y600 x601 y601
            mark x2 y2
            set plot parameters "~existing ground symbology"
            draw to x600 y600
          }
      }
  }










