/* rural_tie_round.x Draws tie slopes for roundbaout*/
/*-----------------------------------------------------------------------------------

***Sign convensions of slope and coordinate are based on side slope left ***   

define "~std back slope" -2:1
define "~std fill slope" -2:-1 
												NPY  8/23/2013
												
-------------------------------------------------------------------------------------*/    

define "~std back slope" -2:1
define "~std fill slope" -2:-1 

if p1 then
  {
    mark x1 y1
    set plot parameters "~ditch slope symbology"  
    _d_bs = "~std back slope"

/* GET POINTS READY FOR GROUND LINE EXTENSION */  
    draw skip trace in off=0 for dx = 200
    mark x600 y600
    draw skip dx=1 dy=0
    mark x601 y601
    draw skip to x1 y1


/* IF YOU ARE IN FILL */
    if elevation difference > 0 then
     	{
    	_d_fill_slope = "~std fill slope" 
     	draw slope = "~std fill slope" to existing ground
     	mark x2 y2

      		/* IF x1 == x2 ... EXTEND GROUND */
     if abs(x2 - x1) < tolerance then
          	{
           draw slope = "~std fill slope" to intersection  x601 y601 x600 y600
           mark x2 y2
           set plot parameters "~existing ground symbology"
           draw to x600 y600
          	}
     	}               	/* Fill ENDIF  */


    else     /* ELSE IF YOU ARE IN CUT */
     {
    	draw slope = "~std back slope" to existing ground 
    	mark x2 y2

    	if abs(x2 - x1) < tolerance then
          	{
           draw slope = "~std back slope" to intersection x600 y600 x601 y601
           mark x2 y2
           set plot parameters "~existing ground symbology"
           draw to x600 y600
          	}
     }               	/* Cut ENDIF  */


     /* LABEL SLOPES & Elevation*/
    draw skip to x2 y2
    draw slope text between x1 y1 and x2 y2 "~slope text symbology"  
  }
