/* sc_og_round2.x (shapeless)*/
/*-------------------------------------------------------------------------------------------
   	Draw Ogee Curb & Gutter #2 (1.5' spill curb) for roundabout 

*** Sign convensions of slope and coordinate are based on side slope left  ***   
  
	_d_og_slope_spill = 16:1    					s = 8":0.5" = 16:1 6.25%   

	x222 y222 stored in sc_sw_round.x to close s/w base  			

												NPY  8/23/2013
-----------------------------------------------------------------------------------------*/                    
if p1 then 
   {
    	mark x1 y1
	_d_og_slope_spill = 16:1    					/*  s=8":0.5" = 16:1 6.25% */  
    	set plot param "~curb top symbology"
    	draw dx = 0.001  dy = -0.0208                       /*  dx=~0  dy=-1/4"  */
    	mark x2 y2

    	draw slope = _d_og_slope_spill for dx = 0.667        /* 8" */
    	draw dx = 0.167   dy = 0.042            			/* dy=0.5"  */
    	draw dx = 0.5  dy = 0.228          				/* dx=8"  dy=2.7"  */
    	draw dx = 0.166  dy = 0.021       				/* dx=2"  dy=~0.26"     */
    	mark x3 y3                            			/* Curve TOP  */ 

    	set plot param "~curb base symbology"
     	draw dx = 0 dy = -0.833   					    /* back of curb -10" */ 
    	draw dx = -.5     dy = 0                        	/* dx=-6" */ 
    	draw slope = - _d_og_slope_spill for dx = -1       	/* dx=-1' Quad 4 */
    	mark x4 y4

/* SW adjacent to the front of curb */
	draw to x222 y222							/* SW bottom left point */ 

	_d_curb_t1 = "sidewalk thickness" - 0.5  			/* dy = SWt - 6"  */
	if _d_curb_t1 > 0 then
		{
    		draw skip to x4 y4
		}
   	set plot param "~curb front symbology"
   	draw to x2 y2

/* Draw Curb Top Elevation */
   	draw skip to x3 y3
   	_d_elev = abs(y3)

   	draw skip dx=-0.3 dy=0                         /* move ~" */  
    	draw text char=^TOC2^ "~XS TOC text symbology" just=lt 

      draw skip to x3 y3
      draw skip dx=-0.25 dy=1                             
      _s_elev = cvt_d_s2(_d_elev)             
      draw text value=_s_elev "~elevation text symbology" 
      draw skip to x3 y3
  }   
