/* Sidewalk (Shapeless)*/                    
/* sc_sw_lf.X */
/*-----------------------------------------------------------------------------------

	Change symbology for earthwork and SMI                      01/25/2001
	Sidewalk (Shapeless)						  	03/25/2004                   

      Set plot param "~earth shoulder symbology"
	Change to level names							08/29/2006   NPY
------------------------------------------------------------------------------------*/                    

   if intersect dgn = "SIDEWALK" then 
      {
      mark x1 y1					
      draw skip dx=1 dy=0 to "SIDEWALK"
      mark x2 y2								
      draw skip dx=2*tolerance dy=0

   /* SIDEWALK with green space  */ 
      if intersect dgn = "SIDEWALK" then 
           	{						/* Two lines --> width defined by two lines */ 
         	draw skip dx=1 dy=0 to "sidewalk"
         	mark x3 y3
           	draw skip to x1 y1
         	set plot param "~earth shoulder symbology"
         	draw slope = 50:1 to x2                              	/* green space */ 
         	mark x2 y2

        	set plot param "~sidewalk symbology"			/* draw sidewalk 50:1 from x2 to x3 */ 
        	draw slope = 50:1 to x3 
        	mark x3 y3

         	set plot param "~earth shoulder symbology"
         	draw slope = 50:1 for dx = 1  
         	mark x4 y4                    
         	draw skip to x3 y3
        	set plot param "~sidewalk base symbology"			/* draw sidewalk base */
        	draw dx = 0      dy = - "SIDEWALK THICKNESS"
         	draw slope = -50:-1 to x2
         	draw to x2 y2 
         	draw skip to x4 y4                  

           	}
   /* SIDEWALK adjacent to back of curb */
        else 
           	{						/* one line found --> 5' SW    */
         	draw skip to x1 y1
         	set plot param "~sidewalk symbology"
         	draw slope = 50:1 to x2 /* x=5', s=50:1 */
         	mark x2 y2
         	set plot param "~earth shoulder symbology"
         	draw slope = 50:1 for dx = 1  
         	mark x4 y4                    
         	set plot param "~sidewalk base symbology"
         	draw skip to x2 y2
         	draw dx = 0      dy = - "SIDEWALK THICKNESS"
         	draw slope = -50:-1 to x1
         	draw skip to x4 y4                  
         	}
      }
   else if not intersect dgn = "side street in dgn" then
      {							/* No sw line found --> draw sw reserved area */
         mark x1 y1
         	set plot param "~earth shoulder symbology"
         draw slope = 50:1 for dx = "SIDEWALK RESERVED WIDTH" 
         mark x3 y3 
      }


