/* Sidewalk (Shapeless)*/                    
/* sc_sw_rt.X */
/*-----------------------------------------------------------------------------------

	Change symbology for earthwork and SMI                     	01/25/2001
	Sidewalk (Shapeless)					  	 	03/25/2004                   
     	Based on side slope left 

      Set plot param "~earth shoulder symbology"
	Change to level names							08/29/2006   NPY
------------------------------------------------------------------------------------*/                    
   if (_d_cgr_found > 0) then				
      {							/*-- 10 --*/ 
     	mark x1 y1					

	if (_d_swr_lines >= 1 )then   
		{

    		draw skip trace in off=0 for dx=300
     		draw skip dx=1 dy=0 to "SIDEWALK"	
		mark x2 y2								
		draw skip dx=2*tolerance dy=0 
		}
		
	if (_d_swr_lines = 2) then   /* SIDEWALK with green space  */ 
		{		
         	draw skip dx=1 dy=0 to "sidewalk"
         	mark x3 y3			/* width defined by two lines  */ 
           	draw skip to x1 y1
         	set plot param "~earth shoulder symbology"
         	draw slope = -50:1 to x3                       /* green space */ 
         	mark x3 y3

        	set plot param "~sidewalk symbology"		/* draw sidewalk 50:1 from x2 to x3 */ 
        	draw slope = -50:1 to x2 
        	mark x2 y2

         	set plot param "~earth shoulder symbology"
         	draw slope = -50:1 for dx = 1  
         	mark x4 y4                    
         	draw skip to x2 y2
        	set plot param "~sidewalk base symbology"		/* draw sidewalk base */
        	draw dx = 0      dy = - "SIDEWALK THICKNESS"
         	draw slope = -50:-1 to x3
         	draw to x3 y3 
         	draw skip to x4 y4                  
		}
	else if (_d_swr_lines = 1) then 		/* SIDEWALK adjacent to back of curb */ 
  		{						/* one line found --> draw SW  */
      	draw skip to x1 y1
      	set plot param "~sidewalk symbology"
		draw slope = -50:1 to x2 /* x=5', s=50:1 */
		mark x2 y2
         	set plot param "~earth shoulder symbology"
		draw slope = -50:1 for dx = 1  
		mark x4 y4                    
		set plot param "~sidewalk base symbology"
		draw skip to x2 y2
		draw dx = 0      dy = - "SIDEWALK THICKNESS"
		draw slope = -50:-1 to x1
		draw skip to x4 y4                  
		}

	else if not intersect dgn = "side street in dgn" then
		{
		draw skip to x1 y1				/* No sw line found --> draw sw reserved area */
         	set plot param "~earth shoulder symbology"
         	draw slope = -50:1 for dx = "SIDEWALK RESERVED WIDTH" 
         	mark x3 y3 
      	}
	}  

