/* sc_vg.x */
/*-----------------------------------------------------------------------------------
      Set plot param "~earth shoulder symbology"
	Change to level names							08/29/2006   NPY
------------------------------------------------------------------------------------*/                    


   if intersect dgn = "VALLEY GUTTER" then 
   { 
      if pavement slope >= 0.0 then                    /* LOW SIDE */
         {
   		mark x1 y1
   		set plot param "~vg symbology"
   		draw slope = 10:1  for dx = 3  
   		mark x2 y2
         	set plot param "~earth shoulder symbology"
   		draw slope = 30:1  for dx = 3  
   		mark x3 y3
   		draw skip to x2 y2
   		set plot param "~base symbology"
   		draw dx = 0 dy = -1 for dy = "PAVEMENT THICKNESS" - "BASE THICKNESS"
   		draw slope = 10:1 for dx = 0.5
   		draw dx = 0 dy = -1 for dy = "BASE THICKNESS"
   		draw slope = -10:-1 to x1
   		draw skip to x3 y3
	   }
	else
	   {
   		mark x1 y1
   		set plot param "~vg symbology"
   		draw slope = -pavement slope for dx = 3  
   		mark x2 y2
         	set plot param "~earth shoulder symbology"
   		draw slope = -pavement slope for dx = 3  
   		mark x3 y3
   		draw skip to x2 y2
   		set plot param "~base symbology"
   		draw dx = 0 dy = -1 for dy = "PAVEMENT THICKNESS" - "BASE THICKNESS"
   		draw slope = -pavement slope for dx = 0.5
   		draw dx = 0 dy = -1 for dy = "BASE THICKNESS"
   		draw slope = pavement slope to x1
   		draw skip to x3 y3
	   }
   }


