/******************* VARIABLES **********************************************************/
/*-----------------------------------------------------------------------------------
	Change symbology for earthwork and SMI                      01/12/2001
	Add draw npdes lines controls                      		01/24/2001
	Adjust default ditch distance and add std fill slope        08/30/2002
	Change to level names							4/25/06	NPY	
------------------------------------------------------------------------------------*/                    

define "milling thickness" 0
define "pavement thickness" 0.63  	/* New Construction */
define "overlay thickness" 0.16		/* Overlay */
define "base thickness" 0.32
define "shoulder slope" 12.5
define "shoulder width" 6
define "std front slope" 6:1
define "std back slope" 2:1
define "std fill slope" 2:1 
define "ditch distance" 6
define "ditch bottom width" 0
define "ditch profile lt" ditchlt
define "ditch profile rt" ditchrt
define "draw npdes lines on xs"         1 			/* 1=yes 0=no   */
define "draw npdes lines on plan view"  0  	/* 1=yes 0=no   Geoapk2000 function */

define_dgn "side street in dgn" \
       dgn = ****.dgn \
       lvname=RD_PD_SideStreet \
       co = ByLevel 

define_dgn "existing edge of travel lane" \
	 dgn = ****.dgn \
	 lvname=RD_EX_Road \
       co = ByLevel 
/****************************************************************************************/
