/******************* VARIABLES **********************************************************/
/*-----------------------------------------------------------------------------------
	Change to level names							3/10/09	NPY	
------------------------------------------------------------------------------------*/                    


define "milling thickness" 0
define "pavement thickness left" 1.5
define "base thickness left" 0.67
define "pavement thickness right" 1.0
define "base thickness right" 0.67
define "paved shoulder width" 0
define "earth shoulder width" 2
define "shoulder slope" 12.5
define "median paved shoulder width" 4
define "median earth shoulder width" 4
define "std median ditch slope" 4:1
define "std front slope" 6:1
define "std back slope" 2:1
define "ditch distance" 10
define "ditch bottom width" 0
define "ditch profile lt" ditchlt
define "ditch profile rt" ditchrt
define "mark pavement" 1  
define "use median ditch centerline" 0 		/* 1=yes 0=no   */
define "draw npdes lines on xs" 1 			/* 1=yes 0=no   */
define "draw npdes lines on plan view" 0 		/* 1=yes 0=no   Geoapk2000 function */


/*  Median Barrier Wall   */
define "barrier wall base width" 2.5                 
define "barrier wall top  width" 1.0                 
define "barrier minimum enbeded depth"  1.0  /* Use surface depth or 1'" */ 

define_dgn "median barrier wall centerline" \
        dgn = ***.dgn \
	 lvname=RD_PD_MedBWall \
       co = ByLevel 

define_dgn "median guardrail centerline" \
        dgn = ***.dgn \
	 lvname=RD_PD_MedGR \
       co = ByLevel 

define_dgn "median ditch centerline" \
        dgn = ***.dgn \
	 lvname=RD_PD_MedGR \
       co = ByLevel 

define_dgn "side street in dgn" \
       dgn = ****.dgn \
       lvname=RD_PD_SideStreet \
       co = ByLevel 

define_dgn "existing edge of travel lane" \
       dgn = ****.dgn \
	 lvname=RD_EX_Road \
       co = ByLevel 
/****************************************************************************************/
