/******************* VARIABLES **********************************************************/
/*-----------------------------------------------------------------------------------
	Change symbology for earthwork and SMI                      01/12/2001
	Add draw npdes lines controls                      		01/24/2001
	Change to level names							4/26/06	NPY	
------------------------------------------------------------------------------------*/                    

define "pavement thickness"   0.93
define "base thickness"       0.59
define "shoulder slope" 12.5
define "shoulder width left"  10
define "shoulder width right" 4
define "urban tie slope" 2:1
define "std front slope" 6:1
define "std back slope" 2:1
define "ditch distance" 20
define "ditch bottom width" 0
define "ditch profile lt" ditchlt
define "ditch profile rt" ditchrt 
define "sidewalk thickness"  0.3333      
define "sidewalk reserved width"  10 
define "draw npdes lines on xs"         1 			/* 1=yes 0=no   */
define "draw npdes lines on plan view"  0  	/* 1=yes 0=no   Geoapk2000 function */

define_dgn "VALLEY GUTTER" \
       dgn = ****.dgn \
        lvname=RD_PD_VG \
        co = ByLevel 

define_dgn "CURB & GUTTER" \
       dgn = ****.dgn \
        lvname=RD_PD_FOC \
        co = ByLevel 


define_dgn "side street in dgn" \
       dgn = ****.dgn \
        lvname=RD_PD_SideStreet \
        co = ByLevel 

define_dgn "SIDEWALK " \
       dgn = ****.dgn \
        lvname=RD_PD_SW \
        co = ByLevel 

/****************************************************************************************/
