/************* VARIABLES **********************************************************/
/*-----------------------------------------------------------------------------------

Overlay, widening, and milling by matching existing pavement  	NPY 11/03/03
C&G, SW, VG, Side Street							NPY 03/23/04
Change to level names								4/26/06	NPY	
------------------------------------------------------------------------------------*/                    

define "overlay thickness" .5
define "milling thickness" 0
define "extent pavement width left" 4.0
define "extent pavement width right" 4.0
define "pavement thickness" 1.0
define "base thickness" 0.67
define "shoulder slope" 12.5
define "shoulder width" 4
define "ditch distance" 5
define "ditch bottom width" 0

define "sidewalk thickness"  0.3333      
define "sidewalk reserved width"  10 
define "median curb type" 1       /*  1=2'curb  2=1.5'curb  3=o.g.  9=9x15   */


define_dgn "VALLEY GUTTER" \
       dgn = ****.dgn \
       lvname=RD_PD_VG \
       co = ByLevel 

define_dgn "CURB & GUTTER" \
       dgn = ****.dgn \
       lvname=RD_PD_FOC \
       co = ByLevel 


define_dgn "side street in dgn" \
       dgn = ****.dgn \
       lvname=RD_PD_SideStreet \
       co = ByLevel 

define_dgn "SIDEWALK " \
       dgn = ****.dgn \
       lvname=RD_PD_SW \
       co = ByLevel 
     
define_dgn "existing edge of travel lane" \
	 dgn = ****.dgn \
	 lvname=RD_EX_Road \
       co = ByLevel 

define_dgn "exground" \
       dgn = ****.dgn \
       lvname=RD_XS_ExGround \
       co = ByLevel 

/****************************************************************************************/
