/* Draw match line at side street tie in  */                    
/* match_line.x */
/*-------------------------------------------------------------------------------

Change symbology for earthwork calculation (mark x2 y2)   07/12/2001
Change to level names							NPY  4/25/06	

Include definitions: in std_vars.x:					NPY  4/25/06
		"~XS surface symbology"  
		"~base symbology"
		"~match line symbology" 
		"~match line text symbology"
---------------------------------------------------------------------------------*/                    
 if intersect dgn = "side street in dgn" then
      {
        mark x1 y1 
        draw skip dx=0 dy=-abs("pavement thickness")
        mark x2 y2
        /* TIE OFF TO GROUND IF NEEDED */
        if elevation diff at x1 y1 > 0 and elev diff at x2 y2 > 0 then
          {
            draw skip to x1 y1
            set plot parameters "~XS surface symbology" 
            draw dx=0 dy=-1 to y2
         	set plot param "~base symbology"
            draw dx=0 dy=-1 to existing ground

            set plot parameters "~match line symbology"
            draw skip to x1 y1
            draw skip dx=0 dy=8
            draw dx=0 dy=-1 to y2
            draw dx=0 dy=-8
            draw skip to x1 y1
            draw skip dx=0 dy=-abs(y1 - y2)/2     
            draw skip dx=.25 dy=0
            if px1 < px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology"
              }
            else if px1 > px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology" just=ct              
              }
          }
        else if elev diff at x1 y1 < 0 and elev diff at x2 y2 < 0 then
          {
            draw skip to x2 y2
         	set plot param "~XS surface symbology" 
            draw dx=0 dy=1 to existing ground 

            set plot parameters "~match line symbology"
            draw skip to x1 y1
            draw skip dx=0 dy=8
            draw dx=0 dy=-1 to y2
            draw dx=0 dy=-8
            draw skip to x1 y1
            draw skip dx=0 dy=-abs(y1 - y2)/2   
            draw skip dx=.25 dy=0
            if px1 < px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology"
              }
            else if px1 > px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology" just=ct              
              }
          }
        else
          {
            draw skip to x1 y1
            set plot parameters "~XS surface symbology" 
            draw dx=0 dy=-1 to existing ground
         	set plot param "~base symbology"                     
            draw to x2 y2

            set plot parameters "~match line symbology"
            draw skip to x1 y1
            draw skip dx=0 dy=8
            draw dx=0 dy=-1 to y2
            draw dx=0 dy=-8
            draw skip to x1 y1
            draw skip dx=0 dy=-abs(y1 - y2)/2   
            draw skip dx=.25 dy=0
            if px1 < px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology"
              }
            else if px1 > px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology" just=ct              
              }          
          }
      }
 