/*----------Draws match lines --------------------------------------------------------
	Change to level names							3/10/09	NPY	
------------------------------------------------------------------------------------*/                    

 if intersect dgn = "side street in dgn" then
      {
        mark x1 y1 
        draw skip dx=0 dy=-abs("pavement thickness right")
        mark x2 y2
        /* TIE OFF TO GROUND IF NEEDED  */
        if elevation diff at x1 y1 > 0 and elev diff at x2 y2 > 0 then
          {
            draw skip to x1 y1
            draw dx=0 dy=-1 to existing ground
            set plot parameters "~match line symbology"
            draw skip to x1 y1
            draw skip dx=0 dy=8
            draw dx=0 dy=-1 to y2
            draw dx=0 dy=-8
            draw skip to x1 y1
            draw dx=0 dy=-abs(y1 - y2)/2
            draw skip dx=.25 dy=0
            if px1 < px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology"
              }
            else if px1 > px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology" just=ct              
              }
          }
        else if elev diff at x1 y1 < 0 and elev diff at x2 y2 < 0 then
          {
            draw skip to x2 y2
            draw dx=0 dy=1 to existing ground
            set plot parameters "~match line symbology"
            draw skip to x1 y1
            draw skip dx=0 dy=8
            draw dx=0 dy=-1 to y2
            draw dx=0 dy=-8
            draw skip to x1 y1
            draw dx=0 dy=-abs(y1 - y2)/2
            draw skip dx=.25 dy=0
            if px1 < px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology"
              }
            else if px1 > px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology" just=ct              
              }
          }
        else
          {
            draw skip to x1 y1
            draw to x2 y2
            set plot parameters "~match line symbology"
            draw skip to x1 y1
            draw skip dx=0 dy=8
            draw dx=0 dy=-1 to y2
            draw dx=0 dy=-8
            draw skip to x1 y1
            draw dx=0 dy=-abs(y1 - y2)/2
            draw skip dx=.25 dy=0
            if px1 < px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology"
              }
            else if px1 > px2 then
              {
                draw text char=^MATCH LINE: INTERSECTION^ "~match line text symbology" just=ct              
              }          
          }
      }
 