/* med_over_15s_ns.x Draws raised median using standard 1.5' slope face concrete curb */                    
/*------------------------------------------------------------------
	standard 1.5' slope face concrete curb	     01/15/2014
	Spill Curb at the High side               
	STD 720-105-01
	
	Shapeless								NPY 2014/08/18

--------------------------------------------------------------------*/                

   if p1 then
	{
	mark x1 y1 
	}
   if _d_med_width > 0 and _d_mcr = 1 then 
      {
                                /* Draw 1.5' concrete curb (Right Side Med) */
         draw skip to x1 y1

         set plot param "~curb top symbology"
         draw dx = 0.001  dy = -0.02083        /*  dx=~0  dy=-1/4"  */
         mark x2 y2


	   if _d_pav_slope >= 0.0 then      /* NC - Spill Curb */
         	{
         	draw dx = 1.0 dy = 0.0833           /* dx=1' dy=-1" */ 
		}
      	else       					/* Super - Catch Curb  */
         	{
         	draw dx = 1.0 dy = -0.0833           /* dx=1' dy=1" */ 
		}

         draw dx = 0      dy = 0.0833            /* dy=1"  */
         draw dx = 0.3333 dy = 0.4167            /* dx=4" dy=5"  */
         draw dx = 0.1667  dy = 0                /* dx=2"        */
         mark x3 y3                            /* Curve TOP  */ 

         set plot param "~base symbology"

         draw dx = 0      dy = -1
         draw dx = -0.5   dy = 0             /* dx=-6" */ 

	   if _d_pav_slope >= 0.0 then      		/* NC - Spill Curb*/
         	{
         	draw dx = -1.0    dy = -0.0833      	/* dx=-1'  dy=1" */
		}
      	else       						/* Super - Catch Curb  */
         	{
         	draw dx = -1.0    dy = 0.0833      	/* dx=-1'  dy=-1" */
		}

         mark x4 y4						
         draw skip to x1 y1
         draw skip dx = 0 dy = -"PAVEMENT THICKNESS" 

         draw to x4 y4
         set plot param "~curb front symbology"        /* Bypass the Earthwork */
         draw to x2 y2
         draw skip to x3 y3
         mark x90 y90
         _d_elev = abs(y3)

/* Draw Curb Top Elevation - Right Side Med */

            draw skip dx=-0.2 dy=0                         /* move ~" */  
            draw text char=^TCR5^ "~XS TOC text symbology" just=lb 
            draw skip to x3 y3
            draw skip dx=-0.25 dy=3                             
            _s_elev = cvt_d_s2(_d_elev)             
            draw text value=_s_elev "~elevation text symbology 2" 
            draw skip to x3 y3       
  
         mark x800 y800 
      }
   else if _d_med_width > 0 and _d_mcl = 1 then
      {
         /* Draw concrete curb (Left Side Med) */
         draw skip to x1 y1
         set plot param "~curb top symbology"

         draw dx = -0.001  dy = -0.02083        /*  dx=~0  dy=-1/4"  */
         mark x2 y2


	   if _d_pav_slope >= 0.0 then      /* NC - Spill Curb */
         	{
         	draw dx = -1.0 dy = 0.0833           /* dx=1' dy=-1" */ 
		}
      	else       					/* Super - Catch Curb */
         	{
         	draw dx = -1.0 dy = -0.0833           /* dx=1' dy=1" */ 
		}

         draw dx = 0      dy = 0.0833            /* dy=1"        */
         draw dx = -0.3333 dy = 0.4167            /* dx=4" dy=5"  */
         draw dx = -0.1667 dy = 0                 /* dx=2""       */
         mark x3 y3                              /* Curve TOP    */ 


         set plot param "~base symbology"
         draw dx = 0      dy = -1
         draw dx = 0.5   dy = 0                /* dx=-6" */ 

	   if _d_pav_slope >= 0.0 then      		/* NC - Spill Curb*/
         	{
         	draw dx = 1.0    dy = -0.0833      	/* dx=-1'-0"  dy=1" */
		}
      	else       						/* Super - Catch Curb */
         	{
         	draw dx = 1.0    dy = 0.0833      	/* dx=-1'-0"  dy=-1" */
		}
         mark x4 y4

         draw skip to x1 y1
         draw skip dx = 0 dy = -"PAVEMENT THICKNESS" 

         draw to x4 y4
         set plot param "~curb front symbology" 

         draw to x2 y2
         draw skip to x3 y3
         _d_elev = abs(y3)
         mark x90 y90

/* Draw Curb Top Elevation   Left Side Med*/

            draw skip dx=0.2 dy=0                         /* move ~" */  
            draw text char=^TCL5^ "~XS TOC text symbology" just=rb 
            draw skip to x3 y3
            draw skip dx= 0.25 dy=3                             
            _s_elev = cvt_d_s2(_d_elev)           
            draw text value=_s_elev "~elevation text symbology 2"
            draw skip to x3 y3

         mark x801 y801 


/* Draw median (slope=12:1).    check for high side */
         set plot param "~greenside symbology"
         _d_sh_slope = "shoulder slope"
         if abs(y801 - y800) < .5 then
           {
             draw slope = -_d_sh_slope:1 for dx=abs(x800 - x801)/2  
             mark x802 y802 
             draw text char=^MED^ "~XS TOC text symbology" just=lb 
             draw skip to x802 y802
             _d_elev = abs(y802)
             draw skip dx=0.0 dy=3                             
             _s_elev = cvt_d_s2(_d_elev) 
             draw text value=_s_elev "~elevation text symbology 2"
             draw skip to x802 y802
             draw to x800 y800
           }     
         else 
           {
             draw to x800 y800
           }      
      }

