/* Draws pavement for new construction

WRITTEN: November, 1999

MODIFIED:

*****************************************************************************/


/* THE PAVEMENT LAYERS ARE ALL DRAWN FROM THE LEFT SIDE */
if px1 < px2 then
  {
     remove skew effect
     set plot param "~pavement symbology"
     /* SET UP VARIABLES */
     _d_counter = 1
     _d_exist = 0
     _d_edges = 0
     _d_stop = 0
     _d_total_pmp = number of pavement points

     /* MARK ALL BREAKS IN THE PAVEMENT */
     while _d_counter <= _d_total_pmp
       {
         draw skip to p[_d_counter]
         mark x[_d_counter] y[_d_counter]
         _d_counter = _d_counter + 1
       }

     /* DRAW PAVEMENT */
     if p1 then
       {
         _d_counter = 1
         draw skip to p1
         draw skip dx=0 dy=-abs("pavement thickness")
         while _d_counter < _d_total_pmp
           {
             draw dx= -1 * abs(x[_d_counter] - x[_d_counter + 1]) 
                  dy = y[_d_counter+1] - y[_d_counter] to x[_d_counter + 1]
             _d_counter = _d_counter + 1
           }
       }

     /* LABEL PAVEMENT SLOPES */
     if p1 then
       {
         _d_counter = 1
         while _d_counter < _d_total_pmp
           {
             draw slope text between x[_d_counter] y[_d_counter] and x[_d_counter+1] y[_d_counter+1]
               "~slope text symbology" format=/
             _d_counter = _d_counter + 1
           }
       }
   
  draw skip to p1
  }

        
