/* Draws shoulders and median ditch for rural sections */
/* -------------------------------------------------------------------------------

	Change to level names						4/25/06	NPY	

---------------------------------------------------------------------------------- */
/* IF YOU ARE ON THE LEFT SIDE OF THE MEDIAN */
if px1 > px2 and median width > 0 then
  {
   if PAVEMENT SLOPE < 0.00 then
   /* SE  high side */
   { 
     set plot parameters "~greenside symbology"
     mark x1 y1
     draw slope = -1 * PAVEMENT SLOPE for dx ="SHOULDER WIDTH" 
     mark x3 y3
     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness"
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
   else
   {
     /* Draw shoulder (12:1) */
     set plot parameters "~greenside symbology"
     _d_sh_slope = "shoulder slope"
     mark x1 y1
     draw slope = _d_sh_slope:-1 for dx = "shoulder width"
     mark x3 y3
     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness"
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
   mark x800 y800
  }

/* ELSE IF YOU ARE ON THE RIGHT SIDE OF THE MEDIAN */
else if px1 < px2 and median width > 0 then
  {
   /* DRAW SHOULDER */
   if PAVEMENT SLOPE < 0.00 then
   /* SE  high side */
   { 
     set plot parameters "~greenside symbology"
     mark x1 y1
     draw slope = -1 * PAVEMENT SLOPE for dx ="SHOULDER WIDTH" 
     mark x3 y3
     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness"
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
   else
   {
     /* Draw shoulder (12:1) */
     mark x1 y1
     set plot parameters "~greenside symbology"
     _d_sh_slope = "shoulder slope"
     draw slope = _d_sh_slope:-1 for dx = "shoulder width"
     mark x3 y3
     draw skip to x1 y1
     /* NOTCH */
     set plot parameters "~pavement symbology"
     draw skip dx=0 dy=-abs("pavement thickness")
     mark x90 y90
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness"
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }
   }
    mark x801 y801
    /* CHECK TO SEE WHICH SIDE OF MEDIAN IS HIGHER. Draw 6:1 from lower side*/
    if y800 >= y801 then
      {
        draw slope = 6:-1 for dx=abs(x801 - x800)/2
        mark x802 y802
     	  draw text char=^DB^ "~XS Ditch text symbology" just=cb
	  draw skip to x802 y802 
        draw to x800 y800
      }
    else
      {
        draw skip to x800 y800
        draw slope = -6:-1 for dx=abs(x801 - x800)/2
        mark x802 y802
     	  draw text char=^DB^ "~XS Ditch text symbology" just=cb
	  draw skip to x802 y802 
        draw to x801 y801
      }

    /* LABEL SLOPES */
    draw slope text between x800 y800 and x802 y802 
      "~slope text symbology" format=:
    draw slope text between x802 y802 and x801 y801 
      "~slope text symbology" format=:
  }



