/* Draws shoulders and median ditch for rural sections */

/* IF YOU ARE ON THE LEFT SIDE OF THE MEDIAN */
if px1 > px2 and median width > 0 then
  {
   if PAVEMENT SLOPE < 0.00 then
   /* SE  high side */
   { 
   set plot parameters "~pavement symbology"
   mark x1 y1
   draw slope = -1 * PAVEMENT SLOPE for dx ="SHOULDER WIDTH" 
   mark x3 y3
   draw skip to x1 y1
   draw skip dx=0 dy=-abs("pavement thickness")
   draw slope = -pavement slope for dx=.5
   draw dx=0 dy=abs("pavement thickness" - "base thickness")
   draw slope = pavement slope to x1
   draw to x1 y1
   draw skip to x3 y3
   }
   else
   {
  /* Draw shoulder (12:1) */
   mark x1 y1
   _d_sh_slope = "shoulder slope"
   draw slope = _d_sh_slope:-1 for dx = "shoulder width"
   mark x3 y3
   draw skip to x1 y1
   draw skip dx=0 dy=-abs("pavement thickness")
   draw slope = -pavement slope for dx=.5
   draw dx=0 dy=abs("pavement thickness" - "base thickness")
   draw slope = pavement slope to x1
   draw to x1 y1
   draw skip to x3 y3
   }
   mark x800 y800
  }

/* ELSE IF YOU ARE ON THE RIGHT SIDE OF THE MEDIAN */
else if px1 < px2 and median width > 0 then
  {
   /* DRAW SHOULDER */
   if PAVEMENT SLOPE < 0.00 then
   /* SE  high side */
   { 
   set plot parameters "~pavement symbology"
   mark x1 y1
   draw slope = -1 * PAVEMENT SLOPE for dx ="SHOULDER WIDTH" 
   mark x3 y3
   draw skip to x1 y1
   draw skip dx=0 dy=-abs("pavement thickness")
   draw slope = -pavement slope for dx=.5
   draw dx=0 dy=abs("pavement thickness" - "base thickness")
   draw slope = pavement slope to x1
   draw to x1 y1
   draw skip to x3 y3
   }
   else
   {
  /* Draw shoulder (12:1) */
   mark x1 y1
   _d_sh_slope = "shoulder slope"
   draw slope = _d_sh_slope:-1 for dx = "shoulder width"
   mark x3 y3
   draw skip to x1 y1
   draw skip dx=0 dy=-abs("pavement thickness")
   draw slope = -pavement slope for dx=.5
   draw dx=0 dy=abs("pavement thickness" - "base thickness")
   draw slope = pavement slope to x1
   draw to x1 y1
   draw skip to x3 y3
   }
    mark x801 y801
    /* CHECK TO SEE WHICH SIDE OF MEDIAN IS HIGHER */
    if y800 >= y801 then
      {
        draw slope = 6:-1 for dx=abs(x801 - x800)/2
        mark x802 y802
        draw to x800 y800
      }
    else
      {
        draw skip to x800 y800
        draw slope = -6:-1 for dx=abs(x801 - x800)/2
        mark x802 y802
        draw to x801 y801
      }

    /* LABEL SLOPES */
    draw slope text between x800 y800 and x802 y802 
      "~slope text symbology" format=:
    draw slope text between x802 y802 and x801 y801 
      "~slope text symbology" format=:
  }



