/* Type F Curb & Gutter - 2' slope face concrete curb 11-29-2007*/                    
/* sc_cg_2_s.x */
/*-------------------------------------------------------------------------------------------
	Change symbology for earthwork calculation (mark x4 y4)	03/08/2001   NPY
	Change symbology for earthwork calculation 
		---- if intersect dgn = "SIDEWALK"   		    	07/11/2001

	STD 720-1									11-29-2007

-----------------------------------------------------------------------------------------*/                    

  if intersect dgn = "CURB & GUTTER" then 
      {
      /* Draw c/g at the LOW side of the roadway */
      if pavement slope >= 0.0 then
         {
         mark x1 y1
         set plot param "~curb top symbology"
         draw dx = 0.001  dy = -0.0208                   /*  dx=~0  dy=-1/4"  */
         mark x2 y2

     		draw dx = 1.5     dy = -0.0833           /* dx=1'-6" dy=-1" */ 
         	draw dx = 0       dy = 0.0833            /* dy=1"  */
         	draw dx = 0.3333  dy = 0.4167            /* dx=4" dy=5"  */
         	draw dx = 0.1667  dy = 0                 /* dx=2"        */

         mark x3 y3                                           
         if intersect dgn = "SIDEWALK" then 
		{
         	set plot param "~curb front symbology" 
         	draw dx = 0      dy = - "SIDEWALK THICKNESS"
         	set plot param "~base symbology"
         	draw dx = 0      dy = -1 + "SIDEWALK THICKNESS"
		}
	   else
		{
         	set plot param "~base symbology"
         	draw dx = 0         dy = -1
		}

          draw dx = -0.5   dy = 0             /* dx=-6" */ 
          draw dx = -1.5    dy = 0.0833      	/* dx=-1'-6"  dy=1" */

	   mark x4 y4 
         draw skip to x1 y1
         if x1 < x501 or x1 > x500 then
           {
             draw skip dx = 0 dy = -"PAVEMENT THICKNESS"
           }
         else
           {
             draw skip dx=0 dy=-1 to existing ground
           }
         draw to x4 y4
         set plot param "~curb front symbology"
         draw to x2 y2
         draw skip to x3 y3
         _d_elev = abs(y3)

         }
      /* Draw c/g at the HIGH side of the roadway */
      else 
         {
         mark x1 y1
         set plot param "~curb top symbology"
         draw dx = 0.001  dy = -0.0208                       /*  dx=~0  dy=-1/4"  */
         mark x2 y2

         	draw slope = -pavement slope for dx = 1.5   	/* dx=1'-6" */ 
         draw dx = 0      dy = 0.0833            /* dy=1"  */
         draw dx = 0.3333 dy = 0.4167            /* dx=4" dy=5"  */
         draw dx = 0.1667  dy = 0                /* dx=2"        */

         mark x3 y3
         if intersect dgn = "SIDEWALK" then 
		{
         	set plot param "~curb front symbology" 
         	draw dx = 0      dy = - "SIDEWALK THICKNESS"
         	set plot param "~base symbology"
         	draw dx = 0      dy = -1 + "SIDEWALK THICKNESS"
		}
	   else
		{
         	set plot param "~base symbology"
         	draw dx = 0      dy = -1
		}

           draw dx = -0.5   dy = 0                           /* dx=-6" */ 
     	     draw slope = pavement slope for dx = -1.5   	/* dx=-1'-6" */ 

         mark x4 y4
         draw skip to x1 y1
         if x1 < x501 or x1 > x500 then
           {
             draw skip dx = 0 dy = -"PAVEMENT THICKNESS"
           }
         else
           {
             draw skip dx=0 dy=-1 to existing ground
           }
         draw to x4 y4
         set plot param "~curb front symbology"

         draw to x2 y2
         draw skip to x3 y3
         _d_elev = abs(y3)
         }

/* Draw Curb Top Elevation */
      if x3 < xpgl then
         {                                                              /* Left Side*/
            draw skip dx=-0.55 dy=0                         /* move ~6" */  
            draw text char=^TOCLT^ lv=51 co=2 wt=1 th=.1 tw=.1 just=lt 
            draw skip to x3 y3
            draw skip dx=-0.25 dy=1                             
            _s_elev = cvt_d_s2(_d_elev)             
            draw text value=_s_elev "~elevation text symbology" 
         }
      else
         {                                                 /* Right Side*/
            draw skip dx=-0.55 dy=0                        /* move ~6" */  
            draw text char=^TOCRT^ lv=51 co=2 wt=1 th=.1 tw=.1 just=rt 
            draw skip to x3 y3
            draw skip dx=-0.25 dy=1                             
            _s_elev = cvt_d_s2(_d_elev)           
            draw text value=_s_elev "~elevation text symbology" 
         }
      draw skip to x3 y3
      }   
 
