/* Draws shoulder in overlay and widening section */
/*-----------------------------------------------------------------------------------
	Change to level names							3/10/09	NPY	
------------------------------------------------------------------------------------*/                    

if p1 then
  	{
   	mark x1 y1
   	mark x2 y2
     	/* MARK EXISTING GROUND */
	draw skip to xpgl ypgl
     	draw skip trace out off=0 for dx=200
     	mark x600 y600
     	draw skip dx=1 dy=0
     	mark x601 y601
    	draw skip to x1 y1
  	}

/* IF YOU ARE ON THE LEFT SIDE */
if px1 < px2 then
  {
	
   if PAVEMENT SLOPE < 0.00 then 
   /* SE  high side (Left Side)*/ 
     { 
     set plot parameters "~paved shoulder symbology" 
     draw slope = -pavement slope for dx="paved shoulder width" 
	mark x1 y1

     set plot parameters "~greenside symbology"  
     draw slope = -1 * PAVEMENT SLOPE for dx ="earth shoulder width" 
     mark x3 y3
     draw skip to x1 y1
     draw skip dx=0 dy=-abs("pavement thickness left")
     mark x90 y90

     /* NOTCH */
     set plot parameters "~pavement symbology"
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy = "base thickness left"  
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
     		draw skip to x90 y90
      		set plot parameters "~base symbology"
     		draw slope = pavement slope to x501  
		draw to x501 y501
		draw skip to x3 y3



       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }



     }
   else
     {
     /* Draw shoulder (12:1) NORMAL SECTION */
      mark x1 y1
      set plot parameters "~paved shoulder symbology" 
      draw slope = -pavement slope for dx="paved shoulder width" 
        mark x1 y1

      set plot parameters "~greenside symbology" 
      _d_sh_slope = "shoulder slope"
      draw slope = _d_sh_slope:-1 for dx = "earth shoulder width" 
      mark x3 y3
   draw skip to x1 y1
   draw skip dx=0 dy=-abs("pavement thickness left")
   mark x90 y90

   /* NOTCH */
     set plot parameters "~pavement symbology"
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness left"  
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
     		draw skip to x90 y90
      		set plot parameters "~base symbology"
     		draw slope = pavement slope to x501  
		draw to x501 y501
		draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }



     }
  	set plot parameters "~xs closure symbology" 
/*  	Draw lines to close xs shape for xs report   */ 
	if x3 > x600 then       /* Within the existing ground limit */
		{
/*
		if elev diff at x3 y3 > 0 then
			{
  			draw dx=0 dy=-1 to existing ground
  			mark x4 y4
			}
		else 
			{
  			draw dx=0 dy=1 to existing ground
  			mark x4 y4
			}
*/
		}
	else                    /* outside the existing ground limit */  
		{
/*  
		draw dx=0 dy=-1 to intersection x600 y600 x601 y601
  		set plot parameters "~existing ground symbology"
  		draw to x600 y600
  		draw skip to x3 y3
*/
		}
   }
/* IF YOU ARE ON THE RIGHT SIDE */
else
   {
   if PAVEMENT SLOPE < 0.00 then
   /* SE  high side (Left Side)*/
     	{ 
      set plot parameters "~paved shoulder symbology" 
      draw slope = -pavement slope for dx="paved shoulder width" 
	 mark x1 y1

      set plot parameters "~greenside symbology" 
      draw slope = -1 * PAVEMENT SLOPE for dx ="earth shoulder width" 
      mark x3 y3
     draw skip to x1 y1
     draw skip dx=0 dy=-abs("pavement thickness right")
     mark x90 y90

     /* NOTCH */
     set plot parameters "~pavement symbology"
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy = "base thickness right"  
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
     		draw skip to x90 y90
      		set plot parameters "~base symbology"
     		draw slope = pavement slope to x500  
		draw to x500 y500
		draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }


     	}
   else
     	{
      /* Draw shoulder (12:1) */
      mark x1 y1
      set plot parameters "~paved shoulder symbology" 
      draw slope = -pavement slope for dx="paved shoulder width" 
	 mark x1 y1

      set plot parameters "~greenside symbology" 
      _d_sh_slope = "shoulder slope"
      draw slope = _d_sh_slope:-1 for dx = "earth shoulder width" 
      mark x3 y3
   draw skip to x1 y1
   draw skip dx=0 dy=-abs("pavement thickness right")
   mark x90 y90

   /* NOTCH */
     set plot parameters "~pavement symbology"
     if x90 < x501 or x90 > x500 then
       {
         draw slope = -pavement slope for dx=.5
         draw dx=0 dy="base thickness right"  
         draw slope = pavement slope to x1
         draw to x1 y1
         draw skip to x3 y3
     		draw skip to x90 y90
      		set plot parameters "~base symbology"
     		draw slope = pavement slope to x500  
		draw to x500 y500
		draw skip to x3 y3
       }
     else
       {
         draw skip to x1 y1
         draw dx=0 dy=-1 to existing ground
         draw skip to x3 y3
       }


      }
  	set plot parameters "~xs closure symbology" 

/*  	Draw lines to close xs shape for xs report   */ 
	if x3 < x600 then       /* Within the existing ground limit (Right Side)*/
		{
/*
		if elev diff at x3 y3 > 0 then
			{
  			draw dx=0 dy=-1 to existing ground
  			mark x4 y4
			}
		else 
			{
  			draw dx=0 dy=1 to existing ground
  			mark x4 y4
			}
*/
		}
	else                    /* Outside the edge of existing ground  */  
		{
/*
  		draw dx=0 dy=-1 to intersection x600 y600 x601 y601
  		set plot parameters "~existing ground symbology"
  		draw to x600 y600
  		draw skip to x3 y3
*/
		}
   } 

