/*  shoulder_round.x:  Draws earth shoulder for roundabout  
 
*** Sign convensions of slope and coordinate are based on side slope left ***   

   draw slope = -12:-1 for dx = -1 * "shoulder width"
												NPY  8/23/2013
-------------------------------------------------------------------------------*/
if p1 then
  {
/* Draw shoulder (12:1) */
   set plot parameters "~greenside symbology"
   mark x1 y1
   _d_sh_slope = "shoulder slope"
   draw slope = -_d_sh_slope:-1 for dx = -1 * "shoulder width"
   mark x3 y3

   draw slope text between x1 y1 and x3 y3 "~slope text symbology" co=2 format=run:rise

   draw skip to x1 y1

/* Draw NOTCH */
   set plot parameters "~pavement symbology"
   draw skip dx=0 dy=-abs("pavement thickness")
   set plot param "~base symbology" 
   draw slope = _d_slope_lf for dx = -0.5
   draw dx=0 dy="base thickness" + "binder layer 2 thickness" 

   draw slope = _d_slope_lf to x1
   draw to x1 y1
   draw skip to x3 y3
 }
