/************* VARIABLES **********************************************************/
/*-----------------------------------------------------------------------------------

Overlay, widening, and milling by matching existing pavement  
     											NPY 11/03/03
Change to level names								NPY  4/25/06	

Include std_vars.x:								NPY  4/25/06

------------------------------------------------------------------------------------*/                    

define "overlay thickness" 0.5
define "milling thickness" 0
define "extent pavement width left"   4.0
define "extent pavement width right"  4.0
define "pavement thickness" 1.0
define "base thickness" 0.67
define "shoulder slope" 12.5
define "shoulder width" 4
define "ditch distance" 5
define "ditch bottom width" 0

define_dgn "existing edge of travel lane" \
	dgn = ****.dgn \
	lvname=RD_EX_Road \
      co = ByLevel 

define_dgn "exground" \
      dgn = ****.dgn \
      lvname=RD_XS_ExGround \
      co = ByLevel 

/****************************************************************************************/
