/******************* VARIABLES **********************************************************/
/*-----------------------------------------------------------------------------------
	Change symbology for earthwork and SMI                      01/12/2001
	Add draw npdes lines controls                      		01/24/2001
	Change to level names							4/26/06	NPY	
------------------------------------------------------------------------------------*/                    

define "milling thickness" 0
define "pavement thickness" 1.0
define "base thickness" 0.67
define "shoulder slope" 12.5
define "shoulder width" 8
define "std front slope" 6:1
define "std back slope" 2:1
define "ditch distance" 20
define "ditch bottom width" 0
define "ditch profile lt" ditchlt
define "ditch profile rt" ditchrt
define "draw npdes lines on xs"         1 			/* 1=yes 0=no   */
define "draw npdes lines on plan view"  0  	/* 1=yes 0=no   Geoapk2000 function */

define_dgn "side street in dgn" \
       dgn = ****.dgn \
       lvname=RD_PD_SideStreet \
       co = ByLevel 
     
define_dgn "existing edge of travel lane" \
	 dgn = ****.dgn \
	 lvname=RD_EX_Road \
       co = ByLevel 


/****************************************************************************************/
