/******************* VARIABLES **********************************************************/

define "milling thickness" 0
define "pavement thickness" 1.25
define "base thickness" 0.90
define "shoulder slope" 12.5
define "shoulder width" 10
define "urban tie slope" 2:1
define "sidewalk thickness"  0.3333      
define "sidewalk reserved width"  10 
define "std front slope" 6:1
define "std back slope" 2:1
define "ditch distance" 20
define "ditch bottom width" 0
define "ditch profile lt" ditchlt
define "ditch profile rt" ditchrt
define "draw npdes lines on xs"           "yes" 	/* 1=yes 0=no   */
define "draw npdes lines on plan view"    "no" 	    	/* 1=yes 0=no   Geoapk2000 function */

define_dgn "VALLEY GUTTER" \
        dgn = ****.dgn \
        lvname=RD_PD_VG \
        co = ByLevel 

define_dgn "CURB & GUTTER" \
        dgn = ****.dgn \
        lvname=RD_PD_FOC \
        co = ByLevel 


define_dgn "side street in dgn" \
        dgn = ****.dgn \
        lvname=RD_XS_SideStreet \
        co = ByLevel 

define_dgn "guardrail in dgn" \
        dgn = ***.dgn \
        lvname=RD_PD_GR \
        co = ByLevel 

define_dgn "SIDEWALK " \
        dgn = ****.dgn \
        lvname=RD_PD_SW \
        co = ByLevel 

define_dgn "existing edge of travel lane" \
	  dgn = ****.dgn \
	  lvname=RD_EX_Road \
        co = ByLevel 


/****************************************************************************************/
